\documentclass[11pt,t,aspectratio=169]{beamer}

\usepackage{amsmath} % Math environments
\usepackage{amsfonts, dsfont} % Math fonts
\usepackage{authblk} % Author and affiliations
\usepackage{hyperref} % Links
\usepackage{graphicx} % Include graphics
\usepackage{apalike} % Reference styling
\usepackage{booktabs}
\usepackage{algorithm,algpseudocode}
\usepackage{appendixnumberbeamer}

\newcommand{\coo}{CO\textsubscript{2} }
\newcommand{\encoding}{\mathsf{z}_e}
\newcommand{\quantized}{\mathsf{z}}
\newcommand{\command}{u}
\newcommand{\codebook}{\mathrm{e}}
\newcommand{\argmin}{\mathtt{argmin}}
\newcommand{\argmax}{\mathtt{argmax}}
\newcommand{\softmax}{\mathtt{softmax}}
\newcommand{\elbo}{\mathcal{L}}
\newcommand{\expectation}{\mathbb{E}_{q_\phi}}

\usecolortheme{rose}
% \setbeamercolor{alerted text}{fg=blue}
% \usetheme{Madrid}
% \usefonttheme{default} % Typeset using the default sans serif font
% \usepackage[default]{opensans} % Use the Open Sans font for sans serif text

%----------------------------------------------------------------------------------------
%	SELECT INNER THEME
%----------------------------------------------------------------------------------------

% Inner themes change the styling of internal slide elements, for example: bullet points, blocks, bibliography entries, title pages, theorems, etc. Uncomment each theme in turn to see what changes it makes to your presentation.

\useinnertheme{default}
%\useinnertheme{circles}
%\useinnertheme{rectangles}
%\useinnertheme{rounded}
%\useinnertheme{inmargin}

%----------------------------------------------------------------------------------------
%	SELECT OUTER THEME
%----------------------------------------------------------------------------------------

% Outer themes change the overall layout of slides, such as: header and footer lines, sidebars and slide titles. Uncomment each theme in turn to see what changes it makes to your presentation.

%\useoutertheme{default}
%\useoutertheme{infolines}
%\useoutertheme{miniframes}
%\useoutertheme{smoothbars}
\useoutertheme{sidebar}
%\useoutertheme{split}
%\useoutertheme{shadow}
%\useoutertheme{tree}
%\useoutertheme{smoothtree}

%\setbeamertemplate{footline} % Uncomment this line to remove the footer line in all slides
% \setbeamertemplate{footline}[page number] % Uncomment this line to replace the footer line in all slides with a simple slide count
\setbeamertemplate{footline}[frame number]{}
\setbeamertemplate{navigation symbols}{} % Uncomment this line to remove the navigation symbols from the bottom of all slides
\setbeamercovered{transparent}
\addtobeamertemplate{frametitle}{}{\vspace*{-0.5cm}} % Reduce space after frame title
\AtBeginSection[] {
	\frame[noframenumbering]{\tableofcontents[sectionstyle=show/shaded,subsectionstyle=show/show/hide]}
}

%----------------------------------------------------------------------------------------
%	PRESENTATION INFORMATION
%----------------------------------------------------------------------------------------

\title[PhD Defense]{Metamodel and Bayesian approaches for dynamic systems} % The short title in the optional parameter appears at the bottom of every slide, the full title in the main parameter is only on the title page

\subtitle{PhD Defense} % Presentation subtitle, remove this command if a subtitle isn't required

\author[Max Cohen]{Max Cohen} % Presenter name(s), the optional parameter can contain a shortened version to appear on the bottom of every slide, while the main parameter will appear on the title slide

\institute[TSP]{Télécom SudParis \\ \smallskip \textit{max.cohen@telecom-sudparis.eu}} % Your institution, the optional parameter can be used for the institution shorthand and will appear on the bottom of every slide after author names, while the required parameter is used on the title slide and can include your email address or additional information on separate lines

\date[March 30, 2023]{March 30, 2023} % Presentation date or conference/meeting name, the optional parameter can contain a shortened version to appear on the bottom of every slide, while the required parameter value is output to the title slide

%----------------------------------------------------------------------------------------

\begin{document}

%----------------------------------------------------------------------------------------
%	TITLE SLIDE
%----------------------------------------------------------------------------------------

\begin{frame}
	\titlepage % Output the title slide, automatically created using the text entered in the PRESENTATION INFORMATION block above
\end{frame}

%----------------------------------------------------------------------------------------
%	TABLE OF CONTENTS SLIDE
%----------------------------------------------------------------------------------------

% The table of contents outputs the sections and subsections that appear in your presentation, specified with the standard \section and \subsection commands. You may either display all sections and subsections on one slide with \tableofcontents, or display each section at a time on subsequent slides with \tableofcontents[pausesections]. The latter is useful if you want to step through each section and mention what you will discuss.

%----------------------------------------------------------------------------------------
%	PRESENTATION BODY SLIDES
%----------------------------------------------------------------------------------------

\include{src/slides/introduction}

\include{src/slides/metamodelling}

\include{src/slides/uncertainty}

\section{Conclusion}
\begin{frame}
	\frametitle{Takeaways}
	\begin{itemize}
		\item We developed a metamodel able to \alert{optimize the energy consumption} of buildings. % --> Finetune on specific buildings, specific time periods.
		\item We proposed two approaches for \alert{estimating the uncertainty} of existing models. % --> Apply it to the metamodel, learn online.
		\item We showed that discrete latent models allows for a \alert{better interpretation} of the hidden space. % --> More complex latents.
	\end{itemize}
	\begin{figure}[htpb]
		\centering
		\includegraphics[width=0.6\textwidth]{images/oze/xkcd.png}
	\end{figure}
\end{frame}

\begin{frame}[noframenumbering,allowframebreaks]
	\frametitle{References}
	\bibliographystyle{apalike}
	\bibliography{references-presentation.bib}
\end{frame}{}

\appendix
\include{src/slides/appendix}

\end{document}
